commit:     a25924a8b223396bfd58f3843e24d33c27567d51
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 19 17:39:07 2016 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Tue Jul 19 17:39:45 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a25924a8

dev-db/mariadb-galera: Drop old security vulnerable version

Package-Manager: portage-2.3.0

 dev-db/mariadb-galera/Manifest                     |   2 -
 .../mariadb-galera/mariadb-galera-10.0.22.ebuild   | 136 ---------------------
 dev-db/mariadb-galera/metadata.xml                 |   2 -
 3 files changed, 140 deletions(-)

diff --git a/dev-db/mariadb-galera/Manifest b/dev-db/mariadb-galera/Manifest
index 7318846..c5713b6 100644
--- a/dev-db/mariadb-galera/Manifest
+++ b/dev-db/mariadb-galera/Manifest
@@ -1,4 +1,2 @@
-DIST mariadb-galera-10.0.22.tar.gz 56593286 SHA256 
03707fe86add4ed3a1039d1c2d2a1eca768feef15bf8499d6a61bdeb0802de9e SHA512 
4dd508293235fc786f1d3ada37b20284f591e16c50aea06514de3d5310f01ef22d01c8345226395ddccc0ee8c96b952a6e7b17f94b248cb6977bf40fff7c117f
 WHIRLPOOL 
612f8910a9549aab4e77f1580570500fc4591d6f034728be55c2af8cd861e1170289c82db622cb34116aa0131c2ba89b32290fff5e863c96693ed1825eeaf070
 DIST mariadb-galera-10.0.26.tar.gz 57978583 SHA256 
7fc65d07d9baee8d70e25dd81e677f05337f073fa05571dce447fe823f3fe888 SHA512 
ae09f3b1b15b2494c892ee44e9e010fded1caa683cb2b6d35231a9eb99499a554249784a4cdc70d380de01e8dcaf9cf55c9839f93514dcb99c9aaa1e4f6f4331
 WHIRLPOOL 
a23041f91ea43cd1c69465760950e4feb539a8fcf1e55ffa2e352fd283ba48f68e16f706b5365140b20227eb32a9b86631d86c52d94ad9d4a1685b882f958c82
-DIST mysql-extras-20150717-1707Z.tar.bz2 1491956 SHA256 
d67cc1e2c581ab7c57122b7d29864643869799893a95a158a18e14201d4ffc10 SHA512 
3a7cb07773099e766f8e796d4e555d42874b85285cc2c7c60220370cc6aafc36a60eb340008637298d85d83f529e73392895a81c1438ffccff9eb8f354b29ba9
 WHIRLPOOL 
11e75f4b696e2547c1da40e69d8ab75df4bf7080426204c040632f24846407b07d71061c09c4ff4a1d21a9d14a94769d8f8ef62421d0aecd99efe832caf4dd22
 DIST mysql-extras-20160629-1442Z.tar.bz2 299152 SHA256 
c90979db927772468f8b398c640469ff4740f950068e740c04ff60500e714766 SHA512 
1de46daf6b4534dadf9d3eff8d5d557778e63b5e04aedb57fe56d3016ba93a9d55d80faee38f77852d23da5169879e4f25b3386abe44ee8d961db7ffc4145715
 WHIRLPOOL 
d8c94e4e43e772307d8d137a28e18991fa24a27b1587ec19ae5bd12c733cc0931e459092de2c43216776e3284c7c416d52030fe20c98a6439388507c5fe5111f

diff --git a/dev-db/mariadb-galera/mariadb-galera-10.0.22.ebuild 
b/dev-db/mariadb-galera/mariadb-galera-10.0.22.ebuild
deleted file mode 100644
index a420f7b..0000000
--- a/dev-db/mariadb-galera/mariadb-galera-10.0.22.ebuild
+++ /dev/null
@@ -1,136 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="5"
-MY_EXTRAS_VER="20150717-1707Z"
-WSREP_REVISION="25"
-HAS_TOOLS_PATCH="1"
-SUBSLOT="18"
-
-inherit toolchain-funcs mysql-multilib
-# only to make repoman happy. it is really set in the eclass
-IUSE="$IUSE"
-
-# REMEMBER: also update eclass/mysql*.eclass before committing!
-KEYWORDS="~amd64 ~x86"
-
-# When MY_EXTRAS is bumped, the index should be revised to exclude these.
-EPATCH_EXCLUDE=''
-
-DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )"
-RDEPEND="${RDEPEND}"
-
-# Please do not add a naive src_unpack to this ebuild
-# If you want to add a single patch, copy the ebuild to an overlay
-# and create your own mysql-extras tarball, looking at 000_index.txt
-
-# Official test instructions:
-# USE='client-libs embedded extraengine perl server openssl static-libs tools' 
\
-# FEATURES='test userpriv -usersandbox' \
-# ebuild mariadb-galera-X.X.XX.ebuild \
-# digest clean package
-multilib_src_test() {
-
-       if ! multilib_is_native_abi ; then
-               einfo "Server tests not available on non-native abi".
-               return 0;
-       fi
-
-       local TESTDIR="${BUILD_DIR}/mysql-test"
-       local retstatus_unit
-       local retstatus_tests
-
-       # Bug #213475 - MySQL _will_ object strenously if your machine is named
-       # localhost. Also causes weird failures.
-       [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be 
named localhost"
-
-       if use server ; then
-
-               if [[ $UID -eq 0 ]]; then
-                       die "Testing with FEATURES=-userpriv is no longer 
supported by upstream. Tests MUST be run as non-root."
-               fi
-               has usersandbox $FEATURES && eerror "Some tests may fail with 
FEATURES=usersandbox"
-
-               einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
-               addpredict /this-dir-does-not-exist/t9.MYI
-
-               # Run CTest (test-units)
-               cmake-utils_src_test
-               retstatus_unit=$?
-               [[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
-
-               # Ensure that parallel runs don't die
-               export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
-               # Enable parallel testing, auto will try to detect number of 
cores
-               # You may set this by hand.
-               # The default maximum is 8 unless MTR_MAX_PARALLEL is increased
-               export MTR_PARALLEL="${MTR_PARALLEL:-auto}"
-
-               # create directories because mysqladmin might right out of order
-               mkdir -p "${T}"/var-tests{,/log}
-
-               # Create a symlink to provided binaries so the tests can find 
them when client-libs is off
-               if ! use client-libs ; then
-                       ln -srf /usr/bin/my_print_defaults 
"${BUILD_DIR}/client/my_print_defaults" || die
-                       ln -srf /usr/bin/perror "${BUILD_DIR}/client/perror" || 
die
-                       mysql-multilib_disable_test main.perror "String 
mismatch due to not building local perror"
-               fi
-
-               # These are failing in MariaDB 10.0 for now and are believed to 
be
-               # false positives:
-               #
-               # main.information_schema, 
binlog.binlog_statement_insert_delayed,
-               # main.mysqld--help, funcs_1.is_triggers, 
funcs_1.is_tables_mysql,
-               # funcs_1.is_columns_mysql, main.bootstrap
-               # fails due to USE=-latin1 / utf8 default
-               #
-               # main.mysql_client_test, main.mysql_client_test_nonblock
-               # main.mysql_client_test_comp:
-               # segfaults at random under Portage only, suspect resource 
limits.
-               #
-               # wsrep.variables:
-               # Expects the sys-cluster/galera library to be installed and 
configured
-               #
-               # wsrep.foreign_key:
-               # Issues a configuration deprecation warning which does not 
affect data
-               #
-
-               for t in main.mysql_client_test main.mysql_client_test_nonblock 
\
-                       main.mysql_client_test_comp main.bootstrap \
-                       binlog.binlog_statement_insert_delayed 
main.information_schema \
-                       main.mysqld--help wsrep.variables wsrep.foreign_key \
-                       funcs_1.is_triggers funcs_1.is_tables_mysql 
funcs_1.is_columns_mysql ; do
-                               mysql-multilib_disable_test  "$t" "False 
positives in Gentoo"
-               done
-
-               # Run mysql tests
-               pushd "${TESTDIR}"
-
-               # run mysql-test tests
-               # The PATH addition is required for the galera suite to find 
the sst scripts
-               WSREP_LOG_DIR="${T}/var-tests/wsrep" \
-               PATH="${BUILD_DIR}/scripts:${PATH}" \
-               perl mysql-test-run.pl --force --vardir="${T}/var-tests"
-               retstatus_tests=$?
-               [[ $retstatus_tests -eq 0 ]] || eerror "tests failed"
-               has usersandbox $FEATURES && eerror "Some tests may fail with 
FEATURES=usersandbox"
-
-               popd
-
-               # Cleanup is important for these testcases.
-               pkill -9 -f "${S}/ndb" 2>/dev/null
-               pkill -9 -f "${S}/sql" 2>/dev/null
-
-               failures=""
-               [[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
-               [[ $retstatus_tests -eq 0 ]] || failures="${failures} tests"
-               has usersandbox $FEATURES && eerror "Some tests may fail with 
FEATURES=usersandbox"
-
-               [[ -z "$failures" ]] || die "Test failures: $failures"
-               einfo "Tests successfully completed"
-       else
-
-               einfo "Skipping server tests due to minimal build."
-       fi
-}

diff --git a/dev-db/mariadb-galera/metadata.xml 
b/dev-db/mariadb-galera/metadata.xml
index fa8cbd7..85f7e41 100644
--- a/dev-db/mariadb-galera/metadata.xml
+++ b/dev-db/mariadb-galera/metadata.xml
@@ -11,7 +11,6 @@ dev-db/mysql
 dev-db/mariadb
 -->
 <use>
-  <flag name="client-libs">Build the libmysqlclient libraries</flag>
   <flag name="embedded">Build embedded server (libmysqld)</flag>
   <flag name="extraengine">Add support for alternative storage engines 
(Archive, CSV, Blackhole, Federated(X), Partition)</flag>
   <flag name="jemalloc">Use <pkg>dev-libs/jemalloc</pkg> for 
allocations.</flag>
@@ -27,7 +26,6 @@ dev-db/mariadb
   <flag name="sphinx">Add suport for the sphinx full-text search engine</flag>
   <flag name="test">Install upstream testsuites for end use.</flag>
   <flag name="tokudb">Add support for TokuDB storage engine</flag>
-  <flag name="tools">Build the command line tools (mysql, mysqldump, 
mysqladmin, etc)</flag>
   <flag name="yassl">Enable SSL connections and crypto functions using the 
bundled yaSSL</flag>
 </use>
 </pkgmetadata>

Reply via email to